db-derby-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bryan Pendleton <bpendleton.de...@gmail.com>
Subject Re: Problem upgrading a derby database, ArrayIndexOutOfBoundsException on getIndexInfo()
Date Sun, 01 Jul 2012 05:16:43 GMT
On 06/30/2012 02:24 PM, fed wrote:
> I have a derby database 10.8.x and i use it with jdo/datanuclues.
> I am trying to update it to 10.9 but after updating it the database
> becomes unusable, it gives me an ArrayIndexOutOfBoundsException on
> conn.getMetaData().getIndexInfo(... ).

 From time to time, upgrade bugs such as this creep into Derby.

It sounds like you have made good progress on narrowing down a
reproduction scenario for this problem.

Getting the *exact* details for what reproduces the problem is
critical with these upgrade bugs. Derby has a very extensive
upgrade test suite, but there are an astonishing number of
combinations and sometimes something slips through.

It would be great if you can enter a JIRA issue describing the upgrade
problem that you are seeing, and include as much information as possible,
including all the information that you have in your email.

If you can describe the problem accurately enough that it can be
reproduced by somebody else, the odds of resolving it are very high.

thanks,

bryan


Mime
View raw message